Halide 22.0.0 Halide compiler and libraries

Loading...
Searching...
No Matches
Static Public Member Functions | Public Attributes | Static Public Attributes | List of all members
Halide::Internal::HoistedStorage Struct Reference

Represents a location where storage will be hoisted to for a Func / Realize node with a given name. More...

`#include <IR.h>`

Inheritance diagram for Halide::Internal::HoistedStorage:

## Static Public Member Functions
static Stmt | make (const std::string &name, Stmt body)

## Public Attributes
std::string | name
Stmt | body
Public Attributes inherited from Halide::Internal::IRNode
RefCount | ref_count
| These classes are all managed with intrusive reference counting, so we also track a reference count.
IRNodeType | node_type
| Each IR node subclass has a unique identifier.

## Static Public Attributes
static const IRNodeType | _node_type = IRNodeType::HoistedStorage

## Additional Inherited Members
Public Member Functions inherited from Halide::Internal::StmtNode< HoistedStorage >
void | accept (IRVisitor *v) const override
| We use the visitor pattern to traverse IR nodes throughout the compiler, so we have a virtual accept method which accepts visitors.
Stmt | mutate_stmt (IRMutator *v) const override
| StmtNode ()
| ~StmtNode () override=default
Public Member Functions inherited from Halide::Internal::BaseStmtNode
| BaseStmtNode (IRNodeType t)
Public Member Functions inherited from Halide::Internal::IRNode
| IRNode (IRNodeType t)
virtual | ~IRNode ()=default

## Detailed Description

Represents a location where storage will be hoisted to for a Func / Realize node with a given name.

Definition at line 992 of file IR.h.

## Member Function Documentation

## ◆ make()

static Stmt Halide::Internal::HoistedStorage::make | ( | const std::string & | name,
|  | Stmt | body
| ) |  |
| static

## Member Data Documentation

## ◆ name

std::string Halide::Internal::HoistedStorage::name

Definition at line 993 of file IR.h.

## ◆ body

Stmt Halide::Internal::HoistedStorage::body

Definition at line 994 of file IR.h.

## ◆ _node_type

const IRNodeType Halide::Internal::HoistedStorage::_node_type = IRNodeType::HoistedStorage
| static

Definition at line 999 of file IR.h.

The documentation for this struct was generated from the following file:

- src/IR.h